Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.changepoll
Class EPPChangeData

    java.lang.Object
      com.verisign.epp.codec.changepoll.EPPChangeData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPChangeData

extends java.lang.Object
implements EPPCodecComponent

Change Data information that is added as an extension to a poll message containing the info response of the object that was changed to define the what, when, who, and why for the change.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPChangePoll`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPChangePoll`.
`static java.lang.String` | `STATE_AFTER` Object reflects the state after the operation.
`static java.lang.String` | `STATE_BEFORE` Object reflects the state before the operation.

Constructor Summary
`EPPChangeData()` Default constructor for `EPPChangePoll`.
`EPPChangeData(EPPChangeOperation aOperation, java.util.Date aDate, java.lang.String aSvrTrid, java.lang.String aWho)` Constructor for `EPPChangePoll` that takes the required attributes.
`EPPChangeData(EPPChangeOperation aOperation, java.util.Date aDate, java.lang.String aSvrTrid, java.lang.String aWho, java.lang.String aState, EPPChangeCaseId aCaseId, java.lang.String aReason, java.lang.String aReasonLang)` Constructor for `EPPChangePoll` that takes the all attributes.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPChangePoll` with this instance.
`EPPChangeCaseId` | `getCaseId()` Gets the case identifier for the change.
`java.util.Date` | `getDate()` Gets the date and time when the operation was executed.
`EPPChangeOperation` | `getOperation()` Gets the transform operation executed on the object.
`java.lang.String` | `getReason()` Gets the reason value.
`java.lang.String` | `getReasonLang()` Gets the reason language value.
`java.lang.String` | `getState()` Gets whether the object reflects the state before or after the operation.
`java.lang.String` | `getSvrTrid()` Gets the server transaction identifier of the operation.
`java.lang.String` | `getWho()` Gets who executed the operation.
`boolean` | `hasCaseId()` Is the case identifier defined?
`boolean` | `hasReason()` Is the reason defined?
`boolean` | `hasReasonLang()` Is the reason language defined?
`void` | `setCaseId(EPPChangeCaseId aCaseId)` Sets the case identifier for the change.
`void` | `setDate(java.util.Date aDate)` Sets the date and time when the operation was executed.
`void` | `setOperation(EPPChangeOperation aOperation)` Sets the transform operation executed on the object.
`void` | `setReason(java.lang.String aReason)` Sets the reason value.
`void` | `setReasonLang(java.lang.String aReasonLang)` Sets the reason language value.
`void` | `setState(java.lang.String aState)` Sets whether the object reflects the state before or after the operation.
`void` | `setSvrTrid(java.lang.String aSvrTrid)` Sets the server transaction identifier of the operation.
`void` | `setWho(java.lang.String aWho)` Sets who executed the operation.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPChangePoll`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPChangePoll`.

  See Also:
    Constant Field Values

### STATE_BEFORE

    public static final java.lang.String STATE_BEFORE

  Object reflects the state before the operation.

  See Also:
    Constant Field Values

### STATE_AFTER

    public static final java.lang.String STATE_AFTER

  Object reflects the state after the operation.

  See Also:
    Constant Field Values

Constructor Detail

### EPPChangeData

    public EPPChangeData()

  Default constructor for `EPPChangePoll`.

### EPPChangeData

    public EPPChangeData(EPPChangeOperation aOperation,
                         java.util.Date aDate,
                         java.lang.String aSvrTrid,
                         java.lang.String aWho)

  Constructor for `EPPChangePoll` that takes the required attributes.

  Parameters:
    `aOperation` - Transform operation executed on the object.
    `aDate` - Date and time when the operation was executed.
    `aSvrTrid` - Server transaction identifier of the operation.
    `aWho` - Who executed the operation.

### EPPChangeData

    public EPPChangeData(EPPChangeOperation aOperation,
                         java.util.Date aDate,
                         java.lang.String aSvrTrid,
                         java.lang.String aWho,
                         java.lang.String aState,
                         EPPChangeCaseId aCaseId,
                         java.lang.String aReason,
                         java.lang.String aReasonLang)

  Constructor for `EPPChangePoll` that takes the all attributes.

  Parameters:
    `aOperation` - Transform operation executed on the object.
    `aDate` - Date and time when the operation was executed.
    `aSvrTrid` - Server transaction identifier of the operation.
    `aWho` - Who executed the operation.
    `aState` - Does the object reflect the state before or after the operation using `STATE_BEFORE` and `STATE_AFTER` constants, respectively.
    `aCaseId` - Optional case identifier for the change. Set to `null` if there is no case.
    `aReason` - Reason for executing the operation. Set to `null` for no reason.
    `aReasonLang` - Language for the reason. Set to `null` to use the default value of "en".

Method Detail

### getState

    public java.lang.String getState()

  Gets whether the object reflects the state before or after the operation.

  Returns:
    Either `STATE_BEFORE` to indicate that the object reflects the before state or `STATE_AFTER` to indicate that the object reflects the after state.

### setState

    public void setState(java.lang.String aState)

  Sets whether the object reflects the state before or after the operation.

  Parameters:
    `aState` - `STATE_BEFORE` constant for before state and `STATE_AFTER` for after state.

### getOperation

    public EPPChangeOperation getOperation()

  Gets the transform operation executed on the object.

  Returns:
    The transform operation if defined; `null` otherwise.

### setOperation

    public void setOperation(EPPChangeOperation aOperation)

  Sets the transform operation executed on the object.

  Parameters:
    `aOperation` - The transform operation executed on the object..

### getDate

    public java.util.Date getDate()

  Gets the date and time when the operation was executed.

  Returns:
    The date and time when the operation was executed if defined; `null` otherwise.

### setDate

    public void setDate(java.util.Date aDate)

  Sets the date and time when the operation was executed.

  Parameters:
    `aDate` - The date and time when the operation was executed.

### getSvrTrid

    public java.lang.String getSvrTrid()

  Gets the server transaction identifier of the operation.

  Returns:
    the svrTrid Server transaction identifier of the operation if defined; `null` otherwise.

### setSvrTrid

    public void setSvrTrid(java.lang.String aSvrTrid)

  Sets the server transaction identifier of the operation.

  Parameters:
    `aSvrTrid` - The server transaction identifier of the operation.

### getWho

    public java.lang.String getWho()

  Gets who executed the operation.

  Returns:
    Who executed the operation if defined; `null` otherwise.

### setWho

    public void setWho(java.lang.String aWho)

  Sets who executed the operation.

  Parameters:
    `aWho` - Who executed the operation.

### hasCaseId

    public boolean hasCaseId()

  Is the case identifier defined?

  Returns:
    `true` if the case identifier is defined; `false` otherwise.

### getCaseId

    public EPPChangeCaseId getCaseId()

  Gets the case identifier for the change.

  Returns:
    Case identifier if defined; `null` otherwise.

### setCaseId

    public void setCaseId(EPPChangeCaseId aCaseId)

  Sets the case identifier for the change.

  Parameters:
    `aCaseId` - The case identifier for the change.

### hasReason

    public boolean hasReason()

  Is the reason defined?

  Returns:
    `true` if the reason is defined; `false` otherwise.

### getReason

    public java.lang.String getReason()

  Gets the reason value.

  Returns:
    Reason value if defined; `null` otherwise.

### setReason

    public void setReason(java.lang.String aReason)

  Sets the reason value.

  Parameters:
    `aReason` - Reason for executing the operation.

### hasReasonLang

    public boolean hasReasonLang()

  Is the reason language defined?

  Returns:
    `true` if the reason language is defined; `false` otherwise.

### getReasonLang

    public java.lang.String getReasonLang()

  Gets the reason language value.

  Returns:
    Reason language if defined; `null` otherwise.

### setReasonLang

    public void setReasonLang(java.lang.String aReasonLang)

  Sets the reason language value.

  Parameters:
    `aReasonLang` - Reason language for reason value.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document, which acts is an Element factory
  Returns:
    Element Root element associated with the object
  Throws:
    `EPPEncodeException` - Error encoding `EPPChangePoll`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - `Element` to decode
  Throws:
    `EPPDecodeException` - Error decoding `Element`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPChangePoll`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPChangePoll` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if equal; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.